// -----------------------------
// ENVIRONMENT SKY
// -----------------------------

#version 330

#pragma region [VARS]

  // Input vertex attributes
  in vec3 vertexPosition;
  in vec2 vertexTexCoord;

  // Output vertex attributes (to fragment shader)
  out vec3 fragPosition;
  out vec2 fragTexCoord;

  // Input uniform values
  uniform mat4 matProjection;
  uniform mat4 matView;
  uniform mat4x4 rotMapAngle;

#pragma endregion

void main()
{
  // Calculate fragment position based on model transformations
  fragPosition = vertexPosition;
  fragTexCoord  = vertexTexCoord;

  // Remove translation from the view matrix
  mat4 rotView = mat4(mat3(matView));
  vec4 clipPos = matProjection * rotView * vec4(vertexPosition, 1.0);

  // Calculate final vertex position
  gl_Position = clipPos;
}
